package cn.iocoder.lyzsys.module.tjt.service.employeeyearleaderoutput;

import cn.iocoder.lyzsys.framework.common.pojo.PageResult;
import cn.iocoder.lyzsys.module.tjt.controller.admin.employeeyearleaderoutput.vo.*;

import javax.validation.Valid;

public interface EmployeeYearLeaderOutputService {

    Long createEmployeeYearLeaderOutput(@Valid EmployeeYearLeaderOutputSaveReqVO createReqVO);

    EmployeeYearLeaderOutputGenerateRespVO generateEmployeeYearLeaderOutput(
            @Valid EmployeeYearLeaderOutputGenerateReqVO reqVO);

    void updateEmployeeYearLeaderOutput(@Valid EmployeeYearLeaderOutputSaveReqVO updateReqVO);

    void deleteEmployeeYearLeaderOutput(Long id);

    EmployeeYearLeaderOutputRespVO getEmployeeYearLeaderOutput(Long id);

    PageResult<EmployeeYearLeaderOutputRespVO> getEmployeeYearLeaderOutputPage(
            EmployeeYearLeaderOutputPageReqVO pageReqVO);

}
